import { UseApiResponse, UseApiParams } from './types';
interface UseMutateApiResponse<TResponse, TError extends Error> extends UseApiResponse<TResponse, TError> {
    mutate: <TData>(data: TData) => Promise<void>;
}
interface UseMutationApiParams<TResponse> extends Omit<UseApiParams<any>, 'data' | 'apiId' | 'cacheExpiry'> {
    onSuccess?: (response: TResponse) => void;
}
declare const useMutateApi: <TResponse, TError extends Error>({ apiUrl, headers, method, retry, onSuccess, }: UseMutationApiParams<TResponse>) => UseMutateApiResponse<TResponse, TError>;
export { useMutateApi };
